System 2.0.0.0 4.0.0.0 System.ValueType

For more information about the STGMEDIUM structure, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the STGMEDIUM structure.

- Field
  2.0.0.0
  4.0.0.0
  System.Object

  For more information about STGMEDIUM, see the MSDN Library.

  Represents a pointer to an interface instance that allows the sending process to control the way the storage is released when the receiving process calls the ReleaseStgMedium function. If is null, ReleaseStgMedium uses default procedures to release the storage; otherwise, ReleaseStgMedium uses the specified IUnknown interface.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  For more information about STGMEDIUM, see the MSDN Library.

  Specifies the type of storage medium. The marshaling and unmarshaling routines use this value to determine which union member was used. This value must be one of the elements of the enumeration.

- Field
  2.0.0.0
  4.0.0.0
  System.IntPtr

  For more information about STGMEDIUM, see the MSDN Library.

  Represents a handle, string, or interface pointer that the receiving process can use to access the data being transferred.